> ## Documentation Index
> Fetch the complete documentation index at: https://developers.squads.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apigridv1accounts proposals



## OpenAPI

````yaml https://grid.squads.xyz/api-docs/openapi.json post /api/grid/v1/accounts/{address}/proposals
openapi: 3.1.0
info:
  title: Grid v1 API
  description: Grid v1 REST API for Solana-based smart account system
  contact:
    name: Grid API Support
    url: https://squads.so
    email: support@squads.so
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://grid.squads.xyz
    description: Production server
security:
  - bearer_auth: []
tags:
  - name: accounts
    description: Smart account management operations
  - name: spending-limits
    description: Spending limit management
  - name: standing-orders
    description: Standing order operations
  - name: transactions
    description: Transaction management
  - name: trade
    description: Trade operations and management
  - name: payments
    description: Payment intent operations
  - name: passkeys
    description: Passkey management
  - name: kyc
    description: Know Your Customer operations
  - name: external-accounts
    description: External bank account management
  - name: virtual-accounts
    description: Virtual account management
  - name: auth
    description: Authentication operations
  - name: proposals
    description: Proposal management for multi-sig operations
  - name: compliance
    description: Compliance entity management and KYB/KYC operations
paths:
  /api/grid/v1/accounts/{address}/proposals:
    post:
      tags:
        - proposals
      operationId: handler
      parameters:
        - name: address
          in: path
          description: Smart account address (Solana public key)
          required: true
          schema:
            type: string
        - name: x-grid-environment
          in: header
          description: Target Solana environment
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestPayload'
        required: true
      responses:
        '200':
          description: Proposal Create transaction(s) created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridApiResponse_CreateProposalResponse'
        '400':
          description: Invalid request parameters
        '404':
          description: Smart account not found
      security:
        - bearer_auth: []
components:
  schemas:
    RequestPayload:
      oneOf:
        - type: object
          required:
            - transaction
            - signer
            - type
          properties:
            fee_config:
              oneOf:
                - type: 'null'
                - $ref: '#/components/schemas/FeeConfigV2'
            signer:
              type: string
            transaction:
              type: string
            type:
              type: string
              enum:
                - custom
        - type: object
          required:
            - actions
            - signer
            - type
          properties:
            actions:
              type: array
              items:
                $ref: '#/components/schemas/SettingsActionPayload'
            fee_config:
              oneOf:
                - type: 'null'
                - $ref: '#/components/schemas/FeeConfigV2'
            signer:
              type: string
            type:
              type: string
              enum:
                - settings
        - type: object
          required:
            - token
            - destination
            - raw_amount
            - signer
            - type
          properties:
            destination:
              type: string
            fee_config:
              oneOf:
                - type: 'null'
                - $ref: '#/components/schemas/FeeConfigV2'
            mint_decimals:
              type:
                - integer
                - 'null'
              format: int32
              minimum: 0
            raw_amount:
              type: integer
              format: int64
              minimum: 0
            signer:
              type: string
            token:
              $ref: '#/components/schemas/Currency'
            type:
              type: string
              enum:
                - transfer
    GridApiResponse_CreateProposalResponse:
      type: object
      required:
        - data
        - metadata
      properties:
        data:
          type: object
          required:
            - transactions
            - proposalAddress
            - signer
          properties:
            proposalAddress:
              type: string
            signer:
              type: string
            transactions:
              type: array
              items:
                type: string
        metadata:
          $ref: '#/components/schemas/Metadata'
    FeeConfigV2:
      type: object
      required:
        - currency
        - payer_address
      properties:
        currency:
          $ref: '#/components/schemas/Currency'
        payer_address:
          type: string
        self_managed_fees:
          type:
            - boolean
            - 'null'
    SettingsActionPayload:
      oneOf:
        - type: object
          required:
            - newSigner
            - type
          properties:
            newSigner:
              $ref: '#/components/schemas/AccountSigner'
            type:
              type: string
              enum:
                - AddSigner
        - type: object
          required:
            - oldSigner
            - type
          properties:
            oldSigner:
              type: string
            type:
              type: string
              enum:
                - RemoveSigner
        - type: object
          required:
            - newThreshold
            - type
          properties:
            newThreshold:
              type: integer
              format: int32
              minimum: 0
            type:
              type: string
              enum:
                - ChangeThreshold
        - type: object
          required:
            - newTimeLock
            - type
          properties:
            newTimeLock:
              type: integer
              format: int32
              minimum: 0
            type:
              type: string
              enum:
                - SetTimeLock
        - type: object
          required:
            - seed
            - accountIndex
            - mint
            - amount
            - period
            - signers
            - destinations
            - expiration
            - type
          properties:
            accountIndex:
              type: integer
              format: int32
              minimum: 0
            amount:
              type: integer
              format: int64
              minimum: 0
            destinations:
              type: array
              items:
                type: string
            expiration:
              type: integer
              format: int64
            mint:
              type: string
            period:
              $ref: '#/components/schemas/Period'
            seed:
              type: string
            signers:
              type: array
              items:
                type: string
            type:
              type: string
              enum:
                - AddSpendingLimit
        - type: object
          required:
            - spendingLimit
            - type
          properties:
            spendingLimit:
              type: string
            type:
              type: string
              enum:
                - RemoveSpendingLimit
        - type: object
          required:
            - type
          properties:
            newArchivalAuthority:
              type:
                - string
                - 'null'
            type:
              type: string
              enum:
                - SetArchivalAuthority
    Currency:
      oneOf:
        - $ref: '#/components/schemas/StandardCurrency'
        - $ref: '#/components/schemas/CustomCurrency'
    Metadata:
      type: object
      required:
        - request_id
        - timestamp
      properties:
        request_id:
          type: string
        timestamp:
          type: string
          format: date-time
    AccountSigner:
      type: object
      required:
        - address
        - role
        - permissions
      properties:
        address:
          type: string
        permissions:
          type: array
          items:
            $ref: '#/components/schemas/Permission'
        provider:
          $ref: '#/components/schemas/GridMPCProvider'
        role:
          $ref: '#/components/schemas/GridSignerRole'
    Period:
      type: string
      enum:
        - one_time
        - day
        - week
        - month
    StandardCurrency:
      type: string
      enum:
        - sol
        - usdc
        - usdt
        - pyusd
        - eurc
    CustomCurrency:
      type: object
      required:
        - mint
        - decimals
      properties:
        decimals:
          type: integer
          format: int32
          minimum: 0
        mint:
          type: string
        symbol:
          type:
            - string
            - 'null'
    Permission:
      type: string
      enum:
        - CAN_INITIATE
        - CAN_VOTE
        - CAN_EXECUTE
    GridMPCProvider:
      type: string
      enum:
        - privy
        - dynamic
        - passkey
        - turnkey
        - external
    GridSignerRole:
      type: string
      enum:
        - primary
        - backup
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: Your Grid API key from the Grid Dashboard

````